

.safeware-chat-btn {
    position: fixed;
    right: 10px;
    bottom: 10px;
    cursor: pointer;
    z-index:1000000
}

.safeware-chat-btn .close {
    display: none
}

.safeware-chat-btn i {
    transition: all 0.9s ease
}

#check:checked~.safeware-chat-btn i {
    display: block;
    pointer-events: auto;
    transform: rotate(180deg)
}

#check:checked~.safeware-chat-btn .comment {
    display: none
}

.safeware-chat-btn i {
    font-size: 38px;
    color: #fff !important
}

.safeware-chat-btn {
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
    background-color: #25D366;
    color: #fff;
    font-size: 22px;
    border: none;
    -webkit-box-shadow: 2px 2px 2px 1px rgba(0,0,0,0.4);
    -moz-box-shadow: 2px 2px 2px 1px rgba(0,0,0,0.4);
    box-shadow: 2px 2px 2px 1px rgba(0,0,0,0.4);
}

.safeware-wrapper {
    position: fixed;
    right: 20px;
    bottom: 90px;
    max-width: 350px;
    background-color: #fff;
    border-radius: 5px;
    opacity: 0;
    transition: all 0.4s;
    z-index:1000;
    -webkit-box-shadow: 2px 2px 6px 1px rgba(0,0,0,0.4);
    -moz-box-shadow: 2px 2px 6px 1px rgba(0,0,0,0.4);
    box-shadow: 2px 2px 6px 1px rgba(0,0,0,0.4);
}

#check:checked~.safeware-wrapper {
    opacity: 1
}

/* .header {
    padding: 13px;
    background-color: #25D366;
    border-radius: 5px 5px 0px 0px;
    color: #fff
}
*/
.safeware-header {
    padding: 10px 20px;
    background-color: #25D366;
    color: #fff;
    border-radius: 5px 5px 0 0;
    position: relative;
    font-size: 18px;
}

.safeware-header-content {
    display: flex;
    align-items: center;
}

.safeware-header-image img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-right: 15px;
}

.safeware-header-info h6 {
    margin: 0;
    font-size: 1.2em;
}

.safeware-header-info span {
    font-size: 0.8em;
}

.safeware-chat-form {
    background-image: url('./fondo.png'); 
    background-size: cover; 
    background-position: center; 
    background-repeat: no-repeat; 
    padding: 15px;
    border-radius:  0px 0px 5px 5px;
    max-height: 300px;
    overflow-y: auto;

}

.safeware-chat-form input,
textarea,
button {
    margin-bottom: 10px
}

.safeware-chat-form textarea {
    resize: none
}

.form-control:focus,
.safeware-btn:focus {
    box-shadow: none
}

.safeware-btn,
.safeware-btn:focus,
.safeware-btn:hover {
    background-color: #25D366;
    border: #25D366
}

#check {
    display: none !important
}

.text-center {
    text-align: center;
}

.safeware-p-2 {
    padding: 1rem;
}

.safeware-whatsapp-message {
    padding: 7px 14px 6px;
    background-color: #fff;
    border-radius: 0 8px 8px;
    position: relative;
    transform-origin: center top;
    z-index: 2;
    box-shadow: rgba(0,0,0,.13) 0 1px 0.5px;
    margin-top: 5px;
    margin-left: 15px;
    max-width: calc(100% - 40px);
    font-size: 14px;
}

.safeware-whatsapp-message:before {
    position: absolute;
    /*background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAmCAMAAADp2asXAAAABGdBTUEAALGPC/xhBQAAAAFzUkdCAK7OHOkAAACQUExURUxpccPDw9ra2m9vbwAAAAAAADExMf///wAAABoaGk9PT7q6uqurqwsLCycnJz4+PtDQ0JycnIyMjPf3915eXvz8/E9PT/39/RMTE4CAgAAAAJqamv////////r6+u/v7yUlJeXl5f///5ycnOXl5XNzc/Hx8f///xUVFf///+zs7P///+bm5gAAAM7Ozv///2fVensAAAAvdFJOUwCow1cBCCnqAhNAnY0WIDW2f2/hSeo99g1lBYT87vDXG8/6d8oL4sgM5szrkgl660OiZwAAAHRJREFUKM/ty7cSggAABNFVUQFzwizmjPz/39k4YuFWtm55bw7eHR6ny63+alnswT3/rIDzUSC7CrAziPYCJCsB+gbVkgDtVIDh+DsE9OTBpCtAbSBAZSEQNgWIygJ0RgJMDWYNAdYbAeKtAHODlkHIv997AkLqIVOXVU84AAAAAElFTkSuQmCC');*/
    background-image: url('./descarga.png');
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: contain;
    content: "";
    top: 0;
    left: -12px;
    width: 12px;
    height: 19px;
}

.safeware-chat-option {
    box-sizing: border-box;
    display: inline-block;
    padding: 10px 0px;
    border-radius: 5px;
    width: 100%;
    margin-bottom: 5px;
    text-decoration: none;
    color: black;
    transition: background-color 0.3s ease;
}

.safeware-button{
    border-radius: 8px 8px 8px;
    text-align: center;
    padding: 2px 14px 2px;
}
.safeware-button::before{
    text-align: center;
    padding: 2px 14px 2px;
    left: 0px;
}
.safeware-button:hover{
    border: 2px solid #c5d3ca;
}

.safeware-scrollbar {
overflow-y: auto;
overflow-x: hidden !important;
scrollbar-width: thin;
scrollbar-color: #808080 #D3D3D3;
}

.safeware-scrollbar::-webkit-scrollbar {
width: 4px;

}

.safeware-scrollbar::-webkit-scrollbar-track {
background-color: #D3D3D3;
}

.safeware-scrollbar::-webkit-scrollbar-thumb {
background-color: #808080;
border-radius: 1rem;
height: 4px;
}

#check:not(:checked) ~ .safeware-wrapper {
    display: none;
}

#check:checked ~ .safeware-wrapper {
    display: block;
}